Update a contract by ID.
Security
ArxusSSO(Required scopes: ROLE_ITSM_SANDBOX_WRITE)
- Mock serverhttps://developer.arxus.eu/_mock/apis/care/openapi/sandbox/contracts/{contractId}
- Development ( Arxus internal use only )https://api-dev.arxus.eu/care/v0/sandbox/contracts/{contractId}
- Acceptance( Arxus internal use only )https://api-acc.arxus.eu/care/v0/sandbox/contracts/{contractId}
- Productionhttps://api.arxus.eu/care/v0/sandbox/contracts/{contractId}
curl -i -X PATCH \
https://developer.arxus.eu/_mock/apis/care/openapi/sandbox/contracts/60afa4b6519c8660f08b2d63 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"externalId": "EXT-CON-001"
}'Response
{ "meta": {}, "data": { "id": "6825d2cf57918d1ca439bb5e", "companyName": "Acme Corp", "customerName": "Acme Customer", "externalId": "EXT-CON-001", "created": "2025-01-15T10:30:00Z", "updated": "2025-01-16T08:00:00Z" } }